Open CASCADE Technology: Expr_NamedConstant Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Expr_NamedConstant Class Reference

Describes any numeric constant known by a special name (as PI, e,...). More...

`#include <Expr_NamedConstant.hxx>`

Inheritance diagram for Expr_NamedConstant:
[legend]

## Public Member Functions
| Expr_NamedConstant (const TCollection_AsciiString &name, const Standard_Real value)
| Creates a constant value of name <name> and value . More...
Standard_Real | GetValue () const
Standard_Integer | NbSubExpressions () const
| returns the number of sub-expressions contained in <me> (always returns zero) More...
const Handle< Expr_GeneralExpression > & | SubExpression (const Standard_Integer I) const
| returns the -th sub-expression of <me> raises OutOfRange More...
Handle< Expr_GeneralExpression > | Simplified () const
| returns a GeneralExpression after replacement of NamedUnknowns by an associated expression and after values computation. More...
Handle< Expr_GeneralExpression > | ShallowSimplified () const
| Returns a GeneralExpression after a simplification of the arguments of <me>. More...
Handle< Expr_GeneralExpression > | Copy () const
| Returns a copy of <me> having the same unknowns and functions. More...
Standard_Boolean | ContainsUnknowns () const
| Tests if <me> contains NamedUnknown. (returns always False) More...
Standard_Boolean | Contains (const Handle< Expr_GeneralExpression > &exp) const
| Tests if <exp> is contained in <me>. More...
Standard_Boolean | IsLinear () const
| Tests if <me> is linear on every NamedUnknown it contains. More...
Handle< Expr_GeneralExpression > | Derivative (const Handle< Expr_NamedUnknown > &X) const
| Returns the derivative on <X> unknown of <me> More...
virtual Handle< Expr_GeneralExpression > | NDerivative (const Handle< Expr_NamedUnknown > &X, const Standard_Integer N) const
| Returns the <N>-th derivative on <X> unknown of <me>. Raises OutOfRange if <N> <= 0. More...
void | Replace (const Handle< Expr_NamedUnknown > &var, const Handle< Expr_GeneralExpression > &with)
| Replaces all occurences of with <with> in <me> More...
Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &vals) const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. More...
Public Member Functions inherited from Expr_NamedExpression
const TCollection_AsciiString & | GetName () const
void | SetName (const TCollection_AsciiString &name)
virtual Standard_Boolean | IsShareable () const
| Tests if <me> can be shared by one or more expressions or must be copied. This method redefines to a True value the GeneralExpression method. More...
Standard_Boolean | IsIdentical (const Handle< Expr_GeneralExpression > &Other) const
| Tests if <me> and <Other> define the same expression. This method does not include any simplification before testing. More...
TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way. More...
Public Member Functions inherited from Expr_GeneralExpression
Standard_Real | EvaluateNumeric () const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Describes any numeric constant known by a special name (as PI, e,...).

## Constructor & Destructor Documentation

Expr_NamedConstant::Expr_NamedConstant | ( | const TCollection_AsciiString & | name,
|  | const Standard_Real | value
| ) |  |

Creates a constant value of name <name> and value .

## Member Function Documentation

Standard_Boolean Expr_NamedConstant::Contains | ( | const Handle< Expr_GeneralExpression > & | exp | ) | const
| virtual

Tests if <exp> is contained in <me>.

Implements Expr_GeneralExpression.

Standard_Boolean Expr_NamedConstant::ContainsUnknowns | ( |  | ) | const
| virtual

Tests if <me> contains NamedUnknown. (returns always False)

Implements Expr_GeneralExpression.

Handle< Expr_GeneralExpression > Expr_NamedConstant::Copy | ( |  | ) | const
| virtual

Returns a copy of <me> having the same unknowns and functions.

Implements Expr_GeneralExpression.

Handle< Expr_GeneralExpression > Expr_NamedConstant::Derivative | ( | const Handle< Expr_NamedUnknown > & | X | ) | const
| virtual

Returns the derivative on <X> unknown of <me>

Implements Expr_GeneralExpression.

Standard_Real Expr_NamedConstant::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | vals
| ) |  | const
| virtual

Returns the value of <me> (as a Real) by replacement of <vars> by <vals>.

Implements Expr_GeneralExpression.

Standard_Real Expr_NamedConstant::GetValue | ( |  | ) | const

Standard_Boolean Expr_NamedConstant::IsLinear | ( |  | ) | const
| virtual

Tests if <me> is linear on every NamedUnknown it contains.

Implements Expr_GeneralExpression.

Standard_Integer Expr_NamedConstant::NbSubExpressions | ( |  | ) | const
| virtual

returns the number of sub-expressions contained in <me> (always returns zero)

Implements Expr_GeneralExpression.

virtual Handle< Expr_GeneralExpression > Expr_NamedConstant::NDerivative | ( | const Handle< Expr_NamedUnknown > & | X,
|  | const Standard_Integer | N
| ) |  | const
| virtual

Returns the <N>-th derivative on <X> unknown of <me>. Raises OutOfRange if <N> <= 0.

Reimplemented from Expr_GeneralExpression.

void Expr_NamedConstant::Replace | ( | const Handle< Expr_NamedUnknown > & | var,
|  | const Handle< Expr_GeneralExpression > & | with
| ) |  |
| virtual

Replaces all occurences of with <with> in <me>

Implements Expr_GeneralExpression.

Handle< Expr_GeneralExpression > Expr_NamedConstant::ShallowSimplified | ( |  | ) | const
| virtual

Returns a GeneralExpression after a simplification of the arguments of <me>.

Implements Expr_GeneralExpression.

Handle< Expr_GeneralExpression > Expr_NamedConstant::Simplified | ( |  | ) | const
| virtual

returns a GeneralExpression after replacement of NamedUnknowns by an associated expression and after values computation.

Implements Expr_GeneralExpression.

const Handle< Expr_GeneralExpression >& Expr_NamedConstant::SubExpression | ( | const Standard_Integer | I | ) | const
| virtual

returns the -th sub-expression of <me> raises OutOfRange

Implements Expr_GeneralExpression.

The documentation for this class was generated from the following file:

- Expr_NamedConstant.hxx